@echo off
setlocal
SET SIS_DIR=C:\Apps\SiteScope
SET BASE_DIR=%SIS_DIR%\_custom\SisToSlackAlert
SET BASEDIR=%BASE_DIR:\=/%
SET LIB_DIR=%BASE_DIR%\lib
SET JAVA_BIN=%SIS_DIR%\java\bin\java
SET CP=
SET MAIN_CLASS=com.isbyr.sitescope.integrations.SisToSlackAlert
SET LOGFILE=%BASE_DIR%\logs\%~n0%~x0
SET DEBUG_OPTS=-Dlog4j.debug
SET DEBUG=0

call :getDate
call :scanLib

rem SET JAVA_OPTS=-Dlog4j.configuration=file:/%BASEDIR%/conf/log4j.properties  -cp %CP% 
SET JAVA_OPTS=-Dlog4j.configuration=file:%BASE_DIR%\conf\log4j.properties  -cp %CP% 
 
IF %DEBUG%==1 SET JAVA_OPTS=%DEBUG% %JAVA_OPTS%

if "%1"=="" goto :printSyntax %0

echo %CTD% %CTT% - INFO - started >%LOGFILE%.log
echo Options: %JAVA_OPTS% >>%LOGFILE%.log

%JAVA_BIN% %JAVA_OPTS%  %MAIN_CLASS% %1 %2 %3 %4 %5 %6 %7 %8 %9 >>%LOGFILE%.log 2>%LOGFILE%.err.log

echo %CTD% %CTT% - INFO - finished >>%LOGFILE%.log
endlocal
goto :eof


:printSyntax
echo %~n1%~x1 Must be invoked by SiteScope script alert
echo.
goto :eof

:addCP
SET CP=%CP%;%LIB_DIR%\%1
goto :eof

:scanLib
for /F %%a IN ('dir /b "%LIB_DIR%"') DO call :addCP %%a
goto :eof

REM returns current date in %CTD%
REM returns current time in %CTT%
:getDate
for /F "tokens=1-5 delims=/ " %%a in ("%date%") do SET CTD=%%d-%%c-%%b
for /F "tokens=1,2,3 delims=: " %%a in ("%time%") do call :get24HrTime %%c %%a %%b
goto :EOF

:get24HrTime
IF "%1"=="PM" (SET /A tempT=%2 +12) ELSE (SET tempT=%2)
SET CTT=%tempT%:%3
goto :EOF
